<?php

declare(strict_types=1);

namespace app\models;

/**
 * Связь инстанций импорта с поставками
 */
class ImportEdgeSupply extends Edge
{
    /**
     * Имя коллекции
     */
    public static function collectionName(): string
    {
        return 'import_edge_supply';
    }

    /**
     * Свойства
     */
    public function attributes(): array
    {
        return array_merge(
            parent::attributes(),
            [
            ]
        );
    }

    /**
     * Метки свойств
     */
    public function attributeLabels(): array
    {
        return array_merge(
            parent::attributeLabels(),
            [
            ]
        );
    }

    /**
     * Правила
     */
    public function rules(): array
    {
        return array_merge(
            parent::rules(),
            [
            ]
        );
    }
}
